Page MenuHomePhabricator

Requesting extended access to stat1005 for jdcc
Closed, ResolvedPublic

Description

Username: jdcc
Full name: Justin Clark
Background: I already have access to stat1005, but in T170878 I asked to have my account expire Jan 1. In T183291 I asked for an extension to April 1, which was approved by WMF staff. I was advised in that ticket to create a new ticket to request extended access, so here I am.

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptJan 3 2018, 5:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

TL;DR:

  • - need @Slaporte to confirm access extension (detailed below)
  • - need @RStallman-legalteam to confirm the NDA has no expiry. (jdcc is listed on the nda google sheet, and has no expiry info, so this is simply double checking.)

Details:

@Jdcc-berkman: I can see a discussion on the other task, along with;

We are discussing the data publication over email, and Justin is still helping resolve a bug in the report that started on December 1. There is still a need for data access, and April is a reasonable estimate.

@Slaporte: I don't want to assume things. Are you the WMF staff responsible for overseeing and managing @Jdcc-berkman's contributions (and thus the right person to sign off on this access extension?) If so, the above comment seems to be approval to set the expiry for April 1st.

I don't see any expiry on the NDA, but @RStallman-legalteam can confirm if @Jdcc-berkman's NDA has no expiry, and thus can have his access extended until April 1st.

RobH added a subscriber: Nuria.Jan 3 2018, 5:48 PM

Also, it may be @Nuria who can sign off on the access, not sure! (I'd think either would be enough.)

@Slaporte: I don't want to assume things. Are you the WMF staff responsible for overseeing and managing @Jdcc-berkman's contributions (and thus the right person to sign off on this access extension?) If so, the above comment seems to be approval to set the expiry for April 1st.

I'm taking over the project from @ZhouZ and approve extending until April. I'm not sure if @Nuria should sign off as well since she's providing some technical guidance on the project too. I would like to confirm with her just in case. Thanks for your help!

RobH added a comment.Jan 8 2018, 9:47 PM

I've dropped @RStallman-legalteam an email asking about nda expiry check for the actual NDA. Once we have that approval, we should be ok (pending @Slaporte's recommend that @Nuria also sign off)

Confirming that Justin Clark's NDA is on file. This type of NDA doesn't have an expiration date. Thanks!

RobH assigned this task to Nuria.Jan 9 2018, 5:08 PM

@Nuria,

@Slaporte requests that you review and approve this extension of access expiry. Please comment and assign back to me for followup, thanks!

Nuria added a comment.Jan 9 2018, 5:26 PM

Extension approved.

RobH claimed this task.Jan 9 2018, 5:28 PM

Change 403204 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] extending jdcc account expiry

https://gerrit.wikimedia.org/r/403204

Change 403204 merged by RobH:
[operations/puppet@production] extending jdcc account expiry

https://gerrit.wikimedia.org/r/403204

RobH closed this task as Resolved.Jan 9 2018, 5:33 PM
RobH removed RobH as the assignee of this task.

extension of expiry is now merged live